@import "libs/shared/assets/src/global-style/variable";

.content-init-approve {
  margin-top: 15px;
  min-height: 60vh;
  border-radius: 16px;
  &__title {
    font-weight: 700;
    font-size: 18px;
    line-height: 20px;
  }
  &__left {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 4px !important;
        min-height: 40px;
      }
      .ant-picker {
        width: 100%;
        border-radius: 4px !important;
        min-height: 40px;
      }
      .ant-select-selector {
        border-radius: 4px !important;
        min-height: 40px;
        display: flex;
        align-items: center;
      }
      .ant-form-item-label > label {
        height: fit-content !important;
        margin-bottom: initial !important;
      }
      .ant-form-item-required {
        font-weight: bold;
        align-items: flex-start !important;
        &::before {
          order: 1;
        }
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
      font-weight: 600;
    }
  }
  &__center {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 4px !important;
        min-height: 40px;
      }
      .ant-picker {
        width: 100%;
        border-radius: 4px !important;
        min-height: 40px;
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }

  &__right {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 4px !important;
        min-height: 40px;
      }
      .ant-picker {
        width: 100%;
        border-radius: 4px !important;
        min-height: 40px;
      }
      .ant-select-selector {
        border-radius: 4px !important;
        min-height: 40px;
        display: flex;
        align-items: center;
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  .style-button {
    display: flex;
    justify-content: flex-end;
  }
}

.input-style {
  margin-top: 15px;
  &__input {
    ::ng-deep {
      .ant-input {
        box-shadow: 0px 12px 57px rgba(75, 99, 226, 0.0527223), 0px 5.35455px 19.0824px rgba(75, 99, 226, 0.08);
        border-radius: 8px !important;
        height: 50px;
      }
    }
  }
}

.jd-table {
  min-width: 100%;
  margin-top: 15px;
  &__label {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
    background: rgba(232, 234, 246, 1);
  }
  .ant-table-tbody > tr > td,
  .ant-table-thead > tr > th {
    position: relative;
    padding: 16px;
    overflow-wrap: break-word;
    vertical-align: baseline;
  }
}
:host ::ng-deep {
  .ant-table-placeholder {
    display: none;
  }
}
.error {
  display: flex;
  align-items: center;
  column-gap: 5px;
  color: $bg-error-red;
}
.btn-style {
  display: flex;
  justify-content: flex-end;
}
.pdf-view {
  display: block;
  border: 1px solid $bg-modal-header-border;
  height: 70vh;
}
